make_tree {igraph} | R Documentation

## Create tree graphs

### Description

Create a regular tree graph.

### Usage

    make_tree(n, children = 2, mode = c("out", "in", "undirected"))

    tree(...)

### Arguments

`n` | Number of vertices.
`children` | Integer scalar, the number of children of a vertex (except for leafs)
`mode` | Defines the direction of the edges. `out` indicates that the edges point from the parent to the children, `in` indicates that they point from the children to their parents, while `undirected` creates an undirected graph.
`...` | Passed to `make_tree`.

### Value

An igraph graph

### See Also

Other determimistic constructors: `atlas`, `graph.atlas`, `graph_from_atlas`; `chordal_ring`, `graph.extended.chordal.ring`, `make_chordal_ring`; `directed_graph`, `graph`, `graph.famous`, `make_directed_graph`, `make_graph`, `make_undirected_graph`, `undirected_graph`; `empty_graph`, `graph.empty`, `make_empty_graph`; `from_edgelist`, `graph.edgelist`, `graph_from_edgelist`; `from_literal`, `graph.formula`, `graph_from_literal`; `full_citation_graph`, `graph.full.citation`, `make_full_citation_graph`; `full_graph`, `graph.full`, `make_full_graph`; `graph.lattice`, `lattice`, `make_lattice`; `graph.ring`, `make_ring`, `ring`; `graph.star`, `make_star`, `star`

### Examples

    make_tree(10, 2)
    make_tree(10, 3, mode = "undirected")

[Package igraph version 1.0.1 Index]